;
;
;	ST-LOW Library
;	(c) 2010 by Simon Sunnyboy / Paradize <marndt@asmsoftware.de>
;	http://paradize.atari.org/
;
;	fast blit routines
;
;	This library is free software; you can redistribute it and/or
;	modify it under the terms of the GNU Lesser General Public
;	License as published by the Free Software Foundation; either
;	version 2.1 of the License, or (at your option) any later version.
;
;	This library is distributed in the hope that it will be useful,
;	but WITHOUT ANY WARRANTY; without even the implied warranty of
;	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;	Lesser General Public License for more details.
;
;	You should have received a copy of the GNU Lesser General Public
;	License along with this library; if not, write to the Free Software
;	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
;
	EXPORT STLOW_CopyScreen
	EXPORT STLOW_ClearScreen

	SUPER
	TEXT
	; input: a0.l ptr source screen  a1.l ptr destination screen
STLOW_CopyScreen:
	movem.l d0-a6,-(sp)
	move.l #1000-1,d0
copyloop_copyscreen:
	movem.l (a0)+,d1-d7/a2		; grab 8 longs (64 pixels)
	movem.l d1-d7/a2,(a1)		; copy to dest screen
	lea 32(a1),a1			; advance destination pointer
	dbra d0,copyloop_copyscreen	; count number of 64 pixel chunks to copy
	movem.l (sp)+,d0-a6
	rts
	; input: a0.l ptr to destination screen
STLOW_ClearScreen:
	movem.l d0-a6,-(sp)
	move.l #1000-1,d0
	movem.l blank(pc),d1-d7/a2	; grab 8 longs (64 pixels)

loop_clearscreen:
	movem.l d1-d7/a2,(a0)		; copy to dest screen
	lea 32(a0),a0			; advance destination pointer
	dbra d0,loop_clearscreen	; count number of 64 pixel chunks to copy
	movem.l (sp)+,d0-a6
	rts
blank:	dc.l 0,0,0,0,0,0,0,0
	EVEN	
	END
	