;
;
;	ST-LOW Library
;	(c) 2010 by Simon Sunnyboy / Paradize <marndt@asmsoftware.de>
;	http://paradize.atari.org/
;
;	fast lowlevel access routines
;
;	This library is free software; you can redistribute it and/or
;	modify it under the terms of the GNU Lesser General Public
;	License as published by the Free Software Foundation; either
;	version 2.1 of the License, or (at your option) any later version.
;
;	This library is distributed in the hope that it will be useful,
;	but WITHOUT ANY WARRANTY; without even the implied warranty of
;	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;	Lesser General Public License for more details.
;
;	You should have received a copy of the GNU Lesser General Public
;	License along with this library; if not, write to the Free Software
;	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
;

COLOR0	EQU	$FFFF8240
XBIOS	EQU	14

	EXPORT STLOW_SetPalette
	EXPORT STLOW_GetPalette
	EXPORT STLOW_HideMouse
	EXPORT STLOW_ShowMouse
	
; internal functions	
	EXPORT STLOW_Vsetmode

	TEXT
	SUPER
STLOW_SetPalette:
	movem.l d0-a1,-(sp)
	lea COLOR0,a1
	movem.l (a0)+,d0-d7
	movem.l d0-d7,(a1)
	movem.l (sp)+,d0-a1
	rts
	
STLOW_GetPalette:
	movem.l d0-a1,-(sp)
	lea COLOR0,a1
	movem.l (a1)+,d0-d7
	movem.l d0-d7, (a0)
	movem.l (sp)+,d0-a1
	rts
	
; access to Falcon Xbios 88
STLOW_Vsetmode:
	move.w d0,-(sp)
	move.w #88,-(sp)
	trap #XBIOS
	addq.w #4,sp
	rts
	
; access to LINEA to disable mouse
STLOW_HideMouse:
	dc.w $A00A
	rts
STLOW_ShowMouse:
	dc.w $A009
	rts
	END
	