/*
 *
 *	ST-LOW Library
 *	(c) 2010 by Simon Sunnyboy / Paradize <marndt@asmsoftware.de>
 *	http://paradize.atari.org/
 *
 *	interface header
 *
 *	This library is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU Lesser General Public
 *	License as published by the Free Software Foundation; either
 *	version 2.1 of the License, or (at your option) any later version.
 *
 *	This library is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *	Lesser General Public License for more details.
 *
 *	You should have received a copy of the GNU Lesser General Public
 *	License along with this library; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
 */

#ifndef __STLOW_H
#define __STLOW_H 1

/* constants */
#define PICTURE_STLOW            0
#define PICTURE_STMED            1
#define PICTURE_UNDEFINED   0xffff

/* data types */
typedef enum
{
	ST_LOW     = 0x01,
	ST_MED     = 0x02,
	MODE_SM124 = 0x10,
	MODE_ERROR = 0xff
} STLowMode;

typedef struct
{
	unsigned short rez;
	unsigned short palette[16];
	unsigned short data[16000];
} STLowPicture;

/* variables */

/* prototypes of lib functions */
STLowMode STLOW_SetSTMode(unsigned long mchcookie, STLowMode videomode);
void STLOW_RestoreVideoMode(void);
void STLOW_ShowScreen(void *newscreen);
void STLOW_SetPalette(void *new_palette);
void STLOW_GetPalette(void *palette);
void STLOW_HideMouse(void);
void STLOW_ShowMouse(void);
void STLOW_ClearScreen(void *dest);
void STLOW_CopyScreen(void *src, void *dest);
void STLOW_ShowPicture(STLowPicture *pic, void *dest);
void STLOW_LoadDegas(char *filename, STLowPicture *pic);
void STLOW_LoadNeochrome(char *filename, STLowPicture *pic);
void STLOW_DepackPC1(void *src, void *dest);
void STLOW_LoadDegasCompressed(char *filename, STLowPicture *picture);
#endif
